## org.eclipse.ocl.ecore
Interface CallOperationAction

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  CallOperationActionImpl

    public interface CallOperationAction

extends EObject

A representation of the model object 'Call Operation Action'.

The following features are supported:

- `Operation`

See Also:
  `EcorePackage.getCallOperationAction()`

Method Summary
`EOperation` `getOperation()` Returns the value of the 'Operation' reference
`void` `setOperation(EOperation value)` Sets the value of the '`Operation`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperation

    EOperation getOperation()

  Returns the value of the 'Operation' reference.

  If the meaning of the 'Operation' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operation' reference.
  See Also:
    `setOperation(EOperation)`, `EcorePackage.getCallOperationAction_Operation()`

### setOperation

    void setOperation(EOperation value)

  Sets the value of the '`Operation`' reference.

  Parameters:
    `value` - the new value of the 'Operation' reference.
  See Also:
    `getOperation()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.